package cn.iocoder.yudao.module.bpm.service.order.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class BmpOrderModelChangeResultListener extends BpmProcessInstanceResultEventListener {


    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.ORDER_MODEL_CHANGE.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("----------------------订单模式变更审核----------------------,{},{}" + event.getBusinessKey(), event.getResult());
    }

}
